Skip to main content
GET
/
devices
/
{id}
Retrieve a device
curl --request GET \
  --url https://api.flatpeak.com/devices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "dev_63a6087272941ef077a8fd3e",
  "object": "device",
  "live_mode": true,
  "reference_id": "DEV1234567890",
  "locations": [
    "loc_641b90b758fb8e6293716e40"
  ],
  "manufacturer": "Nova Systems",
  "model_code": "PICOXN2",
  "model_name": "Pico Ultimate",
  "time_created": "2022-01-24T14:15:22Z",
  "account_id": "acc_661677911f2197045e6cf1b1",
  "properties": {
    "power_rating_import_kwh": 14.2,
    "capacity_kwh": 123,
    "power_rating_export_kwh": 7,
    "pv_azimuth": 0,
    "pv_tilt": 23,
    "pv_terrain_shading": false,
    "pv_forecasts_enabled": false,
    "install_date": "2022-03-22T11:12:21Z"
  },
  "last_seen": "2022-03-22T11:12:21Z",
  "flex_enabled": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Path Parameters

id
string
required

Flatpeak device_id.

Example:

"dev_6563a6757360a6d6a628e839"

Response

This object represents a device or another asset of a compatible type.

id
string
required
read-only

Flatpeak unique object id.

Example:

"dev_63a6087272941ef077a8fd3e"

object
string
required
read-only

Represents the object’s type.

Example:

"device"

live_mode
boolean
required

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

reference_id
string
required
read-only

A reference that is meaningful to you, for example, an ID from your system.

Example:

"DEV1234567890"

locations
string[]
required

Flatpeak Location IDs where this device may be located.

manufacturer
string
required

Name of device manufacturer.

Example:

"Nova Systems"

model_code
string
required

Device model code, as declared by the manufacturer.

Example:

"PICOXN2"

model_name
string
required

Model name, as declared by the manufacturer.

Example:

"Pico Ultimate"

time_created
string
required

Time when the object was created, in UTC.

Example:

"2022-01-24T14:15:22Z"

account_id
string
required
read-only

Flatpeak account ID.

Example:

"acc_661677911f2197045e6cf1b1"

properties
DeviceProperties · object
last_seen
string<date-time>

Timestamp of when the device has last queried the service.

Example:

"2022-03-22T11:12:21Z"

flex_enabled
boolean
default:true

Set to true when device is not managed by a third-party flexbility operator.